Skip to main content
GET
/
documents
List documents (flat resource)
curl --request GET \
  --url https://api.bluumfinance.com/v1/documents \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "document_id": "doc_01j9x8m2k7qpzwv3t5r6y8n0ab",
      "object": "document",
      "owner_id": "<string>",
      "document_type": "id_verification",
      "file_name": "id-front.png",
      "mime_type": "image/png",
      "uploaded_at": "2023-11-07T05:31:56Z",
      "file_size": 123,
      "expires_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Query Parameters

investor_id
string

Filter to documents owned by an investor (prefixed inv_… id).

user_id
string

Filter to documents owned by a user.

purpose
enum<string>
Available options:
KYC,
KYB,
EDD,
TAX,
FUNDING_VERIFICATION,
AGREEMENT,
ACCOUNT_STATEMENT,
TRADE_CONFIRMATION,
OTHER
status
enum<string>
Available options:
UPLOADED,
PROCESSING,
ACCEPTED,
REJECTED,
EXPIRED
document_type
string
limit
integer
default:50
Required range: 1 <= x <= 200
starting_after
string

Cursor — document_id of the previous page's last item.

Response

Paginated list of documents

data
object[]
has_more
boolean